/**
 * @author Ilias Gazdaliev <invimind@gmail.com>
 */
import 'reflect-metadata';
declare type Params = {};
export declare type SerializableMetadata = {
    className: string;
} & Params;
/**
 * Decorator for marking serializable classes
 *
 * @returns {Record<string, unknown>} json
 */
export default function Serializable(): (target: new (...params: Array<unknown>) => unknown) => void;
export {};
